package Flugzeuge;

public final class Doppeldecker extends Flugzeug {

    private final int LOOPINGSPEED = 320;
    private boolean offenesCockpit;

    public Doppeldecker(String hersteller, int maxSpeed, String immatNummer, boolean offenesCockpit) {
        super(hersteller, maxSpeed, 2);
        this.immatNummer = immatNummer;
        this.offenesCockpit = offenesCockpit;
    }

    public Doppeldecker(String hersteller, int maxSpeed, String immatNummer) {
        super(hersteller, maxSpeed, 2);
        this.immatNummer = immatNummer;
        this.offenesCockpit = true;
    }

    @Override
    public boolean getLooping() {
        return maxSpeed > LOOPINGSPEED;
    }
}
