package Flugzeuge;

public abstract class Flugzeug {

    protected String hersteller;            // Herstellername
    protected int maxSpeed;                 // Max. Geschwindigkeit
    protected String immatNummer;           // Immatrikulationsnummer
    protected int anzahlFluegel = 1;        // Anzahl Flügelpaare

    public Flugzeug(String hersteller, int maxSpeed, int anzahlFluegel) {
        this.hersteller = hersteller;
        this.maxSpeed = maxSpeed;
        this.anzahlFluegel = anzahlFluegel;
    }

    public String getImmatNummer() {
        return immatNummer;
    }

    protected void setImmatNummer(String immatNummer) {
        this.immatNummer = immatNummer;
    }

    public int getMaxSpeed() {
        return maxSpeed;
    }

    abstract public boolean getLooping();

    // weitere Methoden
}
